Populate Site Fee Definitions
Given an existing study with Site Fee Definitions or an eligible Site Fee Template, automatically generate Site Fee Definitions for a new target study. This endpoint is only available in CTMS Vaults with the Veeva Payments
POST
/api/{version}/app/clinical/payments/populate-site-fee-definitionsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) |
Accept | application/json (default) |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
target_study | The new study to populate with Site Fee Definitions. |
source_study | Optional: To copy the Site Fee Definitions from studies, include an array with the study IDs. You must choose either source_study or source_template. |
source_template | Optional: To copy the Site Fee Definitions from Site Fee Templates, include an array with the template IDs. You must choose either source_study or source_template. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d '{ "target_study": "0ST000000006004", "source_study": [ "0ST000000006002", "0ST000000006003" ] }'
https://myvault.veevavault.com/api/v26.1/app/clinical/payments/populate-site-fee-definitionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"data": {
"status": "SUCCESS",
"source": "study__v",
"num_site_fee_defs_created": 2,
"num_site_fee_defs_duplicates": 2,
"num_errors": 0
}
}